<?php
/**
 * pd Stats Panel (PHP-Fusion)
 * User and Guest Statistic Panel
 * @author: pirdani <http://www.pirdani.de> <kontakt@pirdani.de>
 * @version 1.9.1
 * 
 * Release under the terms & conditions of v3 or higher
 * of the GNU General Public License. For details refer 
 * to the included gpl.txt file or visit http://gnu.org
 *
 */

/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pd_stats_panel/locale/German.php";
}

if($btnSave)
{
  $update = dbquery("UPDATE ".$db_prefix."pd_stats_settings SET
  `reload`='$txt_reload',
  `special1`='$txt_special1',
  `special2`='$txt_special2',
  `pd_stats_gaeste`='$optGaeste',
  `pd_stats_members`='$optMembers',
  `pd_stats_register`='$optRegister',
  `pd_stats_unaktiv`='$optUnaktiv',
  `pd_stats_new`='$optNew',
  `pd_stats_heute`='$optHeute',
  `pd_stats_online`='$optOnline',
  `pd_stats_maxonline`='$optMaxonline',
  `pd_stats_maxday`='$optMaxday',
  `pd_stats_gestern`='$optGestern',
  `pd_stats_monat`='$optMonat',
  `pd_stats_gesamt`='$optGesamt',
  `pd_stats_last_24h`='$optLast24H'");
  echo '<br><center><b>nderungen bernommen!</b></center><br>';
}

//Engine include
require (INFUSIONS."pd_stats_panel/stats.inc.php");

//Settings
opentable($locale[pds302]);

  if($dset[pd_stats_gaeste]=='Y') {$check1[1] = "checked"; } else { $check2[1] = "checked"; }
  if($dset[pd_stats_members]=='Y') {$check1[2] = "checked"; } else { $check2[2] = "checked"; }
  if($dset[pd_stats_register]=='Y') {$check1[3] = "checked"; } else { $check2[3] = "checked"; }
  if($dset[pd_stats_unaktiv]=='Y') {$check1[4] = "checked"; } else { $check2[4] = "checked"; }
  if($dset[pd_stats_new]=='Y') {$check1[5] = "checked"; } else { $check2[5] = "checked"; }
  if($dset[pd_stats_heute]=='Y') {$check1[6] = "checked"; } else { $check2[6] = "checked"; }
  if($dset[pd_stats_online]=='Y') {$check1[7] = "checked"; } else { $check2[7] = "checked"; }
  if($dset[pd_stats_maxonline]=='Y') {$check1[8] = "checked"; } else { $check2[8] = "checked"; }
  if($dset[pd_stats_maxday]=='Y') {$check1[9] = "checked"; } else { $check2[9] = "checked"; }
  if($dset[pd_stats_gestern]=='Y') {$check1[10] = "checked"; } else { $check2[10] = "checked"; }
  if($dset[pd_stats_monat]=='Y') {$check1[11] = "checked"; } else { $check2[11] = "checked"; }
  if($dset[pd_stats_gesamt]=='Y') {$check1[12] = "checked"; } else { $check2[12] = "checked"; }
  if($dset[pd_stats_last_24h]=='Y') {$check1[13] = "checked"; } else { $check2[13] = "checked"; }
  echo '<br>
        <form action="'.FUSION_SELF.'" method="post">
        <table width="90%" align="center" cellspacing="1" cellpadding="3" class="tbl-border">
          <tr class="tbl2"><td colspan="2"><b>'.$locale[pds303].'</b></td></tr>
          <tr>
            <td class="tbl2" width="150">'.$locale[pds304].'</td>
            <td class="tbl1"><input type="text" value="'.$dset[reload].'" size="20" maxlength="20" class="textbox" name="txt_reload" />'.$locale[pds305].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">'.$locale[pds306].'</td>
            <td class="tbl1"><img src="'.INFUSIONS.'pd_stats_panel/user.png"> '.$locale[pds307].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">'.$locale[pds308].'</td>
            <td class="tbl1"><input type="text" value="'.$dset[special1].'" size="50" maxlength="200" class="textbox" name="txt_special1" /></td>
          </tr>
          <tr>
            <td class="tbl2" width="150">'.$locale[pds309].'</td>
            <td class="tbl1"><input type="text" value="'.$dset[special2].'" size="50" maxlength="200" class="textbox" name="txt_special2" /></td>
          </tr>

          <tr>
            <td class="tbl2" width="150">PD_STATS_GAESTE</td>
            <td class="tbl1"><input type="radio" '.$check1[1].' value="Y" name="optGaeste" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[1].' value="N" name="optGaeste" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_MEMBERS</td>
            <td class="tbl1"><input type="radio" '.$check1[2].' value="Y" name="optMembers" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[2].' value="N" name="optMembers" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_REGISTER</td>
            <td class="tbl1"><input type="radio" '.$check1[3].' value="Y" name="optRegister" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[3].' value="N" name="optRegister" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_UNAKTIV</td>
            <td class="tbl1"><input type="radio" '.$check1[4].' value="Y" name="optUnaktiv" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[4].' value="N" name="optUnaktiv" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_NEW</td>
            <td class="tbl1"><input type="radio" '.$check1[5].' value="Y" name="optNew" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[5].' value="N" name="optNew" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_HEUTE</td>
            <td class="tbl1"><input type="radio" '.$check1[6].' value="Y" name="optHeute" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[6].' value="N" name="optHeute" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_ONLINE</td>
            <td class="tbl1"><input type="radio" '.$check1[7].' value="Y" name="optOnline" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[7].' value="N" name="optOnline" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_MAXONLINE</td>
            <td class="tbl1"><input type="radio" '.$check1[8].' value="Y" name="optMaxonline" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[8].' value="N" name="optMaxonline" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_MAXDAY</td>
            <td class="tbl1"><input type="radio" '.$check1[9].' value="Y" name="optMaxday" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[9].' value="N" name="optMaxday" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_GESTERN</td>
            <td class="tbl1"><input type="radio" '.$check1[10].' value="Y" name="optGestern" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[10].' value="N" name="optGestern" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_MONAT</td>
            <td class="tbl1"><input type="radio" '.$check1[11].' value="Y" name="optMonat" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[11].' value="N" name="optMonat" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_GESAMT</td>
            <td class="tbl1"><input type="radio" '.$check1[12].' value="Y" name="optGesamt" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[12].' value="N" name="optGesamt" /> '.$locale['pds301'].'</td>
          </tr>
          <tr>
            <td class="tbl2" width="150">PD_STATS_LAST_24H</td>
            <td class="tbl1"><input type="radio" '.$check1[13].' value="Y" name="optLast24H" /> '.$locale['pds300'].'<br><input type="radio" '.$check2[13].' value="N" name="optLast24H" /> '.$locale['pds301'].'</td>
          </tr>
          <tr class="tbl2"><td colspan="2" align="right"><input type="submit" value="'.$locale['pds310'].'" class="button" name="btnSave" /></td></tr>
        </table>
        </form>
        <br>';

closetable();
tablebreak();
//Besucher Stats
opentable($locale['pds311']);
  echo '<br>
        <table align="center" width="90%" cellspacing="1" cellpadding="3" class="tbl-border">
          <tr class="tbl2">
            <td align="center" width="150"><b>'.$locale['pds312'].'</b></td>
            <td align="center" width="200"><b>'.$locale['pds313'].'</b></td>
            <td align="center" width="150"><b>'.$locale['pds314'].'</b></td>
            <td align="center"><b>'.$locale['pds315'].'</b></td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_GAESTE</td>
            <td class="tbl1">'.PD_STATS_GAESTE.'</td>
            <td class="tbl2">'.$locale[pds200].'</td>
            <td class="tbl1">'.$locale['pds316'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_MEMBERS</td>
            <td class="tbl1">'.PD_STATS_MEMBERS.'</td>
            <td class="tbl2">'.$locale[pds201].'</td>
            <td class="tbl1">'.$locale['pds317'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_REGISTER</td>
            <td class="tbl1">'.PD_STATS_REGISTER.'</td>
            <td class="tbl2">'.$locale[pds202].'</td>
            <td class="tbl1">'.$locale['pds318'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_UNAKTIV</td>
            <td class="tbl1">'.PD_STATS_UNAKTIV.'</td>
            <td class="tbl2">'.$locale[pds203].'</td>
            <td class="tbl1">'.$locale['pds319'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_NEW</td>
            <td class="tbl1">'.PD_STATS_NEW.'</td>
            <td class="tbl2">'.$locale[pds204].'</td>
            <td class="tbl1">'.$locale['pds320'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_HEUTE</td>
            <td class="tbl1">'.PD_STATS_HEUTE.'</td>
            <td class="tbl2">'.$locale[pds205].'</td>
            <td class="tbl1">'.$locale['pds321'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_ONLINE</td>
            <td class="tbl1">'.PD_STATS_ONLINE.'</td>
            <td class="tbl2">'.$locale[pds206].'</td>
            <td class="tbl1">'.$locale['pds322'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_MAXONLINE</td>
            <td class="tbl1">'.PD_STATS_MAXONLINE.'</td>
            <td class="tbl2">'.$locale[pds207].'</td>
            <td class="tbl1">'.$locale['pds323'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_MAXDAY</td>
            <td class="tbl1">'.PD_STATS_MAXDAY.'</td>
            <td class="tbl2">'.$locale[pds208].'</td>
            <td class="tbl1">'.$locale['pds324'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_GESTERN</td>
            <td class="tbl1">'.PD_STATS_GESTERN.'</td>
            <td class="tbl2">'.$locale[pds209].'</td>
            <td class="tbl1">'.$locale['pds325'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_MONAT</td>
            <td class="tbl1">'.PD_STATS_MONAT.'</td>
            <td class="tbl2">'.$locale[pds210].'</td>
            <td class="tbl1">'.$locale['pds326'].'</td>
          </tr>
            <tr>
            <td class="tbl2">PD_STATS_GESAMT</td>
            <td class="tbl1">'.PD_STATS_GESAMT.'</td>
            <td class="tbl2">'.$locale[pds211].'</td>
            <td class="tbl1">'.$locale['pds327'].'</td>
          </tr>
          <tr>
            <td class="tbl2">PD_STATS_LAST_24H</td>
            <td class="tbl1">'.PD_STATS_LAST_24H.'</td>
            <td class="tbl2">'.$locale[pds212].'</td>
            <td class="tbl1">'.$locale['pds328'].'</td>
          </tr>
        </table>
        <br>';
closetable();
tablebreak();
//Monatsbersicht
opentable($locale['pds329']);
  $sql = dbquery("SELECT * FROM ".$db_prefix."pd_stats_month ORDER BY year DESC, month DESC");
  echo '<br>
        <table align="center" cellspacing="1" cellpadding="3" width="90%" class="tbl-border">
          <tr class="tbl2"><td width="50"><b>'.$locale['pds333'].'</b></td><td width="50"><b>'.$locale['pds334'].'</b></td><td><b>'.$locale['pds335'].'</b></td></tr>';
        while($data = dbarray($sql))
        {
          echo '<tr class="tbl1"><td>'.$data[month].'</td><td>'.$data[year].'</td><td>'.$data[stat].'</td></tr>';
        }
  echo '</table>
        <br>';
closetable();
tablebreak();
//Browser
opentable($locale['pds330']);
  $sql = dbquery("SELECT * FROM ".$db_prefix."pd_stats_browser ORDER BY stat");
  echo '<br>
        <table align="center" cellspacing="1" cellpadding="3" width="90%" class="tbl-border">
          <tr class="tbl2"><td width="50"><b>'.$locale['pds336'].'</b></td><td><b>'.$locale['pds337'].'</b></td></tr>';
        while($data = dbarray($sql))
        {
          echo '<tr class="tbl1"><td>'.$data[stat].'</td><td>'.$data[browser].'</td></tr>';
        }
  echo '</table>
        <br>';
closetable();
tablebreak();
//Betriebssystem
opentable($locale['pds331']);
  $sql = dbquery("SELECT * FROM ".$db_prefix."pd_stats_os ORDER BY stat");
  echo '<br>
        <table align="center" cellspacing="1" cellpadding="3" width="90%" class="tbl-border">
          <tr class="tbl2"><td width="50"><b>'.$locale['pds336'].'</b></td><td><b>'.$locale['pds338'].'</b></td></tr>';
        while($data = dbarray($sql))
        {
          echo '<tr class="tbl1"><td>'.$data[stat].'</td><td>'.$data[os].'</td></tr>';
        }
  echo '</table>
        <br>';
closetable();
tablebreak();

//Referer
opentable($locale['pds332']);
  $sql = dbquery("SELECT * FROM ".$db_prefix."pd_stats_referer ORDER BY stat");
  echo '<br>
        <table align="center" cellspacing="1" cellpadding="3" width="90%" class="tbl-border">
          <tr class="tbl2"><td width="50"><b>'.$locale['pds336'].'</b></td><td><b>'.$locale['pds339'].'</b></td></tr>';
        while($data = dbarray($sql))
        {
          echo '<tr class="tbl1"><td>'.$data[stat].'</td><td><a href="'.$data[referer].'">'.$data[referer].'</a></td></tr>';
        }
  echo '</table>
        <br>';
closetable();
echo '<table width="100%"><tr><td align="right"><a href="http://www.pirdani.de">&copy; pirdani 2005</a></td></tr></table>';

echo "</td>\n";
require_once BASEDIR."footer.php";
?>
