<?php
/**
 * pd Stats Panel (PHP-Fusion)
 * User and Guest Statistic Panel
 * @author: pirdani <http://www.pirdani.de> <kontakt@pirdani.de>
 * @version 1.9.1
 * 
 * Release under the terms & conditions of v3 or higher
 * of the GNU General Public License. For details refer 
 * to the included gpl.txt file or visit http://gnu.org
 *
 */

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
if (file_exists(INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pd_stats_panel/locale/German.php";
}

//Engine include
require (INFUSIONS."pd_stats_panel/stats.inc.php");

openside($locale['pds102']);
if ($settings['maintenance'] != "1")
{
	if($dset[pd_stats_gaeste]=='Y') echo $locale['pds200'].PD_STATS_GAESTE."<br>";
  if($dset[pd_stats_members]=='Y') echo $locale['pds201'].PD_STATS_MEMBERS."<br>";
	echo "<hr>";
  if($dset[pd_stats_register]=='Y') echo $locale['pds202'].PD_STATS_REGISTER."<br>";
  if($dset[pd_stats_unaktiv]=='Y') if ($settings['admin_activation'] == "1") echo $locale['pds203'].PD_STATS_UNAKTIV."<br>";
  if($dset[pd_stats_new]=='Y') echo $locale['pds204'].PD_STATS_NEW."<br>";
	echo "<hr>";
  echo "<table cellspacing='0' cellpadding='0'>";
  if($dset[pd_stats_heute]=='Y') echo "<tr><td class='side-body'>".$locale['pds205']."</td><td class='side-body' align='right'>".PD_STATS_HEUTE."</td></tr>";
  if($dset[pd_stats_online]=='Y') echo "<tr><td class='side-body'>".$locale['pds206']."</td><td class='side-body' align='right'>".PD_STATS_ONLINE."</td></tr>";
  if($dset[pd_stats_maxonline]=='Y') echo "<tr><td class='side-body'>".$locale['pds207']."</td><td class='side-body' align='right'>".PD_STATS_MAXONLINE."</td></tr>";
  if($dset[pd_stats_maxday]=='Y') echo "<tr><td class='side-body'>".$locale['pds208']."</td><td class='side-body' align='right'>".PD_STATS_MAXDAY."</td></tr>";
  if($dset[pd_stats_gestern]=='Y') echo "<tr><td class='side-body'>".$locale['pds209']."</td><td class='side-body' align='right'>".PD_STATS_GESTERN."</td></tr>";
  if($dset[pd_stats_monat]=='Y') echo "<tr><td class='side-body'>".$locale['pds210']."</td><td class='side-body' align='right'>".PD_STATS_MONAT."</td></tr>";
  if($dset[pd_stats_gesamt]=='Y') echo "<tr><td class='side-body'>".$locale['pds211']."</td><td class='side-body' align='right'>".PD_STATS_GESAMT."</td></tr>";
  echo "</table>";
  if($dset[pd_stats_last_24h]=='Y')	echo "<hr>".$locale['pds212']."<br><center>".PD_STATS_LAST_24H."</center>";
}
closeside();


?>
